Subject: bug#37926: [PATCH] Unify Gnus select methods

From: [email-masked]
Date: Mon, 28 Oct 2019 09:54:02 -0400

The first reaction of Andreas Schwab was also to ensure the primary remains
unprefixed.  I am not privy to the history of this sensitivity, but I assume
there is one, and I trust you'll tell me why the patch breaks this.

My current understanding is that `gnus-select-method` and
`gnus-secondary-select-methods` remain appropriately defined if someone only
specifies the unified `gnus-select-methods`.

Under the existing code, I assume changing one's gnus-select-method wreaks havoc on a
dot.newsrc.eld that assumes some other non-nnnil gnus-select-method.  This patch does
nothing to alleviate that.